
//Priest of Ilmaater

EXTEND_BOTTOM ~PRIILMU~ 0
IF ~Global("EldPriest1","GLOBAL",0) InParty("eldoth") !Dead("eldoth") !StateCheck("eldoth",STATE_SLEEPING)~ EXTERN BELDOT EIMPIC7
END

APPEND ~PRIILMU~

IF ~~ THEN BEGIN PriEld1.11
SAY ~Whee! Aren't you the ardent young creature then?~
IF ~~ THEN REPLY ~No, no. Our enemies have set a rendezvous there. We must catch them!~ GOTO PriEld1.14
END

IF ~~ THEN BEGIN PriEld1.12
SAY ~Ha! Prefer your cut-and-thrust to slap-and-tickle, eh? You'll learn in time - if you are granted time. Young Eldoth, there, would make you a good teacher.~
IF ~~ THEN EXTERN ~ELDOTJ~ PriEld1.16
END

IF ~~ THEN BEGIN PriEld1.14
SAY ~Sure, sure. One of the girls a disguised green dragon, is it? Bet it's that new bird, Mistie, that everyone's...no. Well, I will show you a...private...entrance. But try not to wreck the place entirely, eh? I do suffer sublimely there!~
IF ~~ THEN EXTERN ~ELDOTJ~ PriEld1.15
END

IF ~~ THEN BEGIN PriEld1.17
SAY ~Find yourself the right girdle and I *will* school you, lad. *sigh* Of course, at my age, you'd have to imagine a deal of it...~
IF ~~ THEN EXIT
END

IF WEIGHT #-2 ~InParty("Eldoth")
Global("PRIELD","GLOBAL",4) Global("EldPriest1","GLOBAL",1)~ THEN BEGIN PriEld2.1
SAY ~Ah, returned you are. Care for the naughty jaunt, then?~
IF ~~ REPLY ~Yes, I think we should go there.~ GOTO PriEld2.2
IF ~~ REPLY ~Uh...no. Forget I blundered back in here.~ EXIT
END

IF ~~ THEN BEGIN PriEld2.2
SAY ~Ah, sweet evening crowns the hottest day. This way.~
IF ~~ THEN
DO ~TakePartyGold("100") SetGlobal("PRIELD","GLOBAL",2) RealSetGlobalTimer("EldPoetPri","GLOBAL",30)
ActionOverride(Player1,LeaveAreaLUAPanic("AR7212","",[132.282],12))
ActionOverride(Player1,LeaveAreaLUA("AR7212","",[132.282],12))
ActionOverride(Player1,SetMasterArea("AR7212"))
ActionOverride(Player2,LeaveAreaLUA("AR7212","",[176.247],12))
ActionOverride(Player3,LeaveAreaLUA("AR7212","",[231.197],12))
ActionOverride(Player4,LeaveAreaLUA("AR7212","",[185.327],12))
ActionOverride(Player5,LeaveAreaLUA("AR7212","",[262.299],12))
ActionOverride(Player6,LeaveAreaLUA("AR7212","",[352.268],12))~ EXIT
END

END


